Skip to main content
POST
https://{tenantDomain}/api/v2
/
roles
/
{id}
/
users
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    roles "github.com/auth0/go-auth0/management/roles"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Roles.Users.Assign(
        context.TODO(),
        "id",
        &roles.AssignRoleUsersRequestContent{
            Users: []string{
                "users",
            },
        },
    )
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the role to assign users to.

Body

users
string<user-id-with-max-length>[]
required

user_id's of the users to assign the role to.

Response

Role users successfully updated.